package org.apache.struts.config;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class PlugInConfig implements Serializable {
  protected boolean configured = false;
  
  protected Map properties = new HashMap();
  
  protected String className = null;
  
  public String getClassName() {
    return this.className;
  }
  
  public void setClassName(String className) {
    this.className = className;
  }
  
  public void addProperty(String name, String value) {
    if (this.configured)
      throw new IllegalStateException("Configuration is frozen"); 
    this.properties.put(name, value);
  }
  
  public void freeze() {
    this.configured = true;
  }
  
  public Map getProperties() {
    return this.properties;
  }
}
